!!ARBfp1.0

#ambient light pass
#written by Rich Whitehouse
#---------------------------------------------------------------------

#texture0 is the decal

OUTPUT	out = result.color;
TEMP	dcal, nrml, temp;
PARAM	lightColor = program.env[1];
PARAM	lightVec = {1.0, 0.0, 0.0};
PARAM	mulf = {2.0, 2.0, 2.0};
PARAM	subf = {-1.0, -1.0, -1.0};

#fetch the textures
TEX	dcal, fragment.texcoord[0], texture[0], 2D;
TEX	nrml, fragment.texcoord[0], texture[1], 2D;

MAD	nrml, nrml, mulf, subf;
DP3	temp, nrml, lightVec;

MUL	nrml, fragment.color, 0.5;
MAX	temp, nrml, temp;

MUL	temp, dcal, temp;
MUL	temp, fragment.color, temp; #factor in ambient color
MUL	temp, lightColor, temp;
MOV	temp.a, dcal.a; #set alpha component by decal

MOV	out, temp;

END
